Subject: Re: [PATCH 1/1] xen/netback: correctly calculate required slots of skb.

From: annie li <[email-masked]>
Date: Wed, 10 Jul 2013 16:34:50 +0800

On 2013-7-10 15:48, Wei Liu wrote:
> On Wed, Jul 10, 2013 at 10:31:49AM +0800, annie li wrote:
> [...]
>>> This seems to differ from netbk_gop_frag_copy. In that function it's
>>> like
>>>
>>>      if (*head && skb_shinfo(skb)->gso_size && !vif->gso_prefix)
>> I mixed netbk_gop_frag_copy and xen_netbk_count_skb_slots just now,
>> so please ignore the comments here in my last email.
>> In xen_netbk_count_skb_slots, we have following code already, so it
>> is not necessary to add gso condition here.
>>
>>          if (skb_shinfo(skb)->gso_size)
>>                  count++;
>>
> Oh I see. But the condition still seems to be different from the
> original one -- you missed !vif->gso_prefix.

The original code in xen_netbk_count_skb_slots does not have 
!vif->gso_prefix. But I think you are right, it is better to keep 
consistent with that in netbk_gop_frag_copy.

Thanks
Annie